---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Параметры запроса
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/issues/request-fields.md
  - https://yandex.ru/support/tracker/ru/api-ref/issues/request-fields.md
  - href: en/api-ref/issues/request-fields.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Request parameters

This page contains a list of standard issue parameters that are available by default in Tracker, as well as a description of standard objects that may be present in an issue.

{% note info %}

Besides standard parameters, an issue may contain:
- Custom global fields created in your organization. [How to work with global fields](https://yandex.ru/support/tracker/en/api-ref/issues/fields.md#global)
- Local fields specific to a particular queue. [How to work with local fields](https://yandex.ru/support/tracker/en/api-ref/issues/fields.md#local)

{% endnote %}

When creating or editing an issue, you can use the following parameters in the request body:

{% note warning %}

When importing issues, you can specify values of parameters that are not available for creating and editing issues. Issue import and supported parameters are described on the [Importing an issue](https://yandex.ru/support/tracker/en/api-ref/import/import-ticket.md) page.

{% endnote %}

#|
|| **Parameter** | **Description** | **Data type** ||
|| access | Array with identifiers or logins of users listed in the **Access** field | Array of strings or numbers ||
|| affectedVersions | Identifiers of versions listed in the **Found in versions** field. The versions must exist in the queue | Array of numbers ||
|| assignee | Login or identifier of the issue assignee | Number or string ||
|| attachmentIds | Identifiers of [temporary files](https://yandex.ru/support/tracker/en/api-ref/issues/temp-attachment.md) that will be attached to the issue description | Array of strings ||
|| boards | Identifiers of issue boards to add the issue to | Array of numbers ||
|| components | Names or identifiers of queue components added to the issue | Array of strings or numbers ||
|| createdBy | Login or identifier of the issue author | Number or string ||
|| deadline | Issue deadline in the `YYYY-MM-DD` format | Date ||
|| description | Issue description | String ||
|| descriptionAttachmentIds | Identifiers of [temporary files](https://yandex.ru/support/tracker/en/api-ref/issues/temp-attachment.md) that will be added to the issue description | Array of strings ||
|| emailCc | Email recipients in the "Cc" field | Array of strings ||
|| emailCreatedBy | Email address that the email was created on behalf of | String ||
|| emailFrom | Email sender address | String ||
|| emailTo | Email recipients | String ||
|| end | Date of issue completion in the `YYYY-MM-DD` format | Date ||
|| epic | Key or identifier of the epic that the issue belongs to | String ||
|| estimation | Estimate in workdays, hours, or minutes. Format: `<number><unit>`, for example `1d`, `2h`, `30m` | String ||
|| fixVersions | Identifiers of versions listed in the **Fix in versions** field. The versions must exist in the queue | Array of numbers ||
|| followers | Array with identifiers or logins of issue followers | Array of numbers or strings ||
|| [linkedGoals](#goal) | Goal identifier or object with a list of linked goals. If a goal identifier is specified, it will become the primary goal of the issue. | Object, number, or string ||
|| [links](#link) | List of linked issues | Array of objects ||
|| markupType | Type of markup displayed in the text. If you use [YFM markup](https://yandex.com/support/tracker/user/syntax-yfm.html) in the issue description text, specify the value `md` | String ||
|| originalEstimation | Original estimate in workdays, hours, or minutes. Format: `<number><unit>`, for example `1d`, `2h`, `30m` | String ||
|| [parent](#parent) | Key or identifier of the parent issue | String ||
|| pendingReplyFrom | Logins or identifiers of users from whom a reply is expected | Array of numbers or strings ||
|| possibleSpam | Indication that the issue was created based on an email that is spam | Boolean ||
|| [priority](#priority) | Key or identifier of the issue priority | String or number ||
|| [project](#project) | Block with information about the issue projects | Object ||
|| qaEngineer | Login or identifier of the QA engineer | Number or string ||
|| receivedReplyFor | Login or identifier of the user for whom a reply was received | Number or string ||
|| sprint | Sprint identifier | Number ||
|| start | Start date of work on the issue in the `YYYY-MM-DD` format | Date ||
|| storyPoints | Issue estimate in Story Points | Number ||
|| summary | Issue summary | String ||
|| tags | Issue tags | Array of strings ||
|| [type](#type) | Identifier or key of the issue type | String or number ||
|| unique | Optional field whose value must be unique within Tracker organization. You can use such a value to prevent creating duplicate issues, for example, using a trigger. When you try to create an issue with the same parameter value again, a duplicate will not be created, and the response will contain an error with code 409. | String ||
|#


## Objects in issue parameters

**Objects** with user data {#user}

The parameters `assignee`, `createdBy`, `followers`, `pendingReplyFrom`, and `voters` contain information about users.

<!-- source: en/api-ref/_includes/user.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the user | String |
| id | User ID. | String |
| display | Displayed user name | String |
| passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
| cloudUid | Unique user ID in Yandex Identity Hub | String |
<!-- endsource: en/api-ref/_includes/user.md -->

**Fields of the** `parent` **object** {#parent}

Parameter | Description | Data type
----- | ----- | -----
id | Identifier of the parent issue | String
key | Key of the parent issue | String

**Fields of the** `priority` **object** {#priority}

Parameter | Description | Data type
----- | ----- | -----
id | Identifier of the priority | String
key | Key of the priority | String

**Fields of the** `project` **object** {#project-req}

<!-- source: en/api-ref/_includes/project.md -->
| Parameter | Description | Data type |
-------- | -------- | ----------
| primary | ID of the main issue project (the `shortId` project field) | Number |
| secondary | IDs of additional issue projects (the `shortId` project field) | Array of numbers |

{% note info "" %}

If the request address specifies API `v2`, the `project` parameter can contain only the ID of the main project.

For example: `"project": 1234`

{% endnote %}
<!-- endsource: en/api-ref/_includes/project.md -->

**Fields of the** `linkedGoals` **object** {#goal}

Parameter | Description | Data type
-------- | -------- | ----------
primary | Identifier of the primary linked goal | Number or string
secondary | Identifiers of the issue's additional goals | Array of numbers or strings

**Fields of objects in the** `links` **array** {#link}

The `links` parameter contains information about issue links.

<!-- source: en/api-ref/_includes/issue-links.md -->
#|
|| Parameter | Description | Data type ||
|| relationship | Link type between issues:
* `relates` — simple link;
* `is dependent by` — the current issue blocks the linked issue;
* `depends on` — the current issue depends on the linked issue;
* `is subtask for` — the current issue is a subtask of the linked issue;
* `is parent task for` — the current issue is a parent task for the linked issue;
* `duplicates` — the current issue is a duplicate of the linked issue;
* `is duplicated by` — the linked issue is a duplicate of the current issue;
* `is epic of` — the current issue is an epic for the linked issue. You can set this link type only for issues of the "Epic" type.
* `has epic` — the linked issue is an epic for the current issue. You can set this link type only for issues of the "Epic" type.
| String ||
|| issue | ID or key of the linked issue | String ||
|#
<!-- endsource: en/api-ref/_includes/issue-links.md -->

**Fields of the** `type` **object** {#type}

Parameter | Description | Data type
----- | ----- | -----
id | Identifier of the issue type | String
key | Key of the issue type | String

**Fields of the** `components` **object** {#components}

Parameter | Description | Data type
-------- | -------- | ----------
self | Address of the API resource that contains information about the component | String
id | Identifier of the component | String
key | Key of the component | String
display | Display name of the component | String

**Fields of the** `resolution` **object** {#resolution}

Parameter | Description | Data type
-------- | -------- | ----------
self | Address of the API resource that contains information about the resolution | String
id | Identifier of the resolution | String
key | Key of the resolution | String
display | Display name of the resolution | String

**Fields of the** `status` **object** {#status}

Parameter | Description | Data type
-------- | -------- | ----------
self | Address of the API resource that contains information about the status | String
id | Identifier of the status | String
key | Key of the status | String
display | Display name of the status | String
